WordPress
Reset WordPress user password
POST
Permission: wp.users
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidapplication/json- body
wp_user_id?Wp User IdWordPress user ID
Default
1Successful Response
application/json- response
success*booleandata*A long action was started: poll GET /v1/tasks/{task.id} until
status is completed or failed.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/users/reset-password" \ -H "Content-Type: application/json" \ -d '{}'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "task": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "task_type": "string", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "status": "string", "result": "string", "error_message": "string", "metadata_json": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" } }}